NX Open C++ Reference Guide
NXOpen::Die::SteelInsertSegmentParentBuilder Member List

This is the complete list of members for NXOpen::Die::SteelInsertSegmentParentBuilder, including all inherited members.

AddEndPointsSwitch()NXOpen::Die::SteelInsertSegmentParentBuilder
BeltThickness()NXOpen::Die::SteelInsertSegmentParentBuilder
Builder() (defined in NXOpen::Builder)NXOpen::Builderprotected
BuildStatus()NXOpen::Die::SteelInsertSegmentParentBuilder
Commit()NXOpen::Builder
CommitFeature()NXOpen::Features::FeatureBuilder
CreateChild()NXOpen::Die::SteelInsertSegmentParentBuilder
DeleteChild(NXOpen::Die::SteelInsertSegmentChildBuilder *diesisegchild)NXOpen::Die::SteelInsertSegmentParentBuilder
DesignStatus()NXOpen::Die::SteelInsertSegmentParentBuilder
Destroy()NXOpen::Builder
DisplayStatus()NXOpen::Die::SteelInsertSegmentParentBuilder
ExtensionDistance()NXOpen::Die::SteelInsertSegmentParentBuilder
ExtensionType()NXOpen::Die::SteelInsertSegmentParentBuilder
ExtensionTypeOption enum nameNXOpen::Die::SteelInsertSegmentParentBuilder
ExtensionTypeOptionConstant enum valueNXOpen::Die::SteelInsertSegmentParentBuilder
ExtensionTypeOptionLaw enum valueNXOpen::Die::SteelInsertSegmentParentBuilder
ExtensionTypeOptionMaxdistPlusConst enum valueNXOpen::Die::SteelInsertSegmentParentBuilder
FeatureBuilder() (defined in NXOpen::Features::FeatureBuilder)NXOpen::Features::FeatureBuilderprotected
GetChildren()NXOpen::Die::SteelInsertSegmentParentBuilder
GetCommittedObjects()NXOpen::Builder
GetFeature()NXOpen::Features::FeatureBuilder
GetObject()NXOpen::Builder
HideInternalParentFeatureAfterEdit(NXOpen::Features::Feature *parentFeature)NXOpen::Features::FeatureBuilder
InsertType()NXOpen::Die::SteelInsertSegmentParentBuilder
InsertTypeOption enum nameNXOpen::Die::SteelInsertSegmentParentBuilder
InsertTypeOptionFlange enum valueNXOpen::Die::SteelInsertSegmentParentBuilder
InsertTypeOptionOffsetFlange enum valueNXOpen::Die::SteelInsertSegmentParentBuilder
InsertTypeOptionTrim enum valueNXOpen::Die::SteelInsertSegmentParentBuilder
ParentFeatureInternal()NXOpen::Features::FeatureBuilder
PatchSolutionFlag()NXOpen::Features::FeatureBuilder
PatchSurfaceFilename()NXOpen::Features::FeatureBuilder
ProfileRelief()NXOpen::Die::SteelInsertSegmentParentBuilder
ProfileReliefToggle()NXOpen::Die::SteelInsertSegmentParentBuilder
ReliefAngle()NXOpen::Die::SteelInsertSegmentParentBuilder
SetAddEndPointsSwitch(int addEndPointsSwitch)NXOpen::Die::SteelInsertSegmentParentBuilder
SetBeltThickness(const NXString &beltThickness)NXOpen::Die::SteelInsertSegmentParentBuilder
SetBeltThickness(const char *beltThickness)NXOpen::Die::SteelInsertSegmentParentBuilder
SetDesignStatus(bool designStatus)NXOpen::Die::SteelInsertSegmentParentBuilder
SetDisplayStatus(bool displayStatus)NXOpen::Die::SteelInsertSegmentParentBuilder
SetExtensionDistance(const NXString &extensionDistance)NXOpen::Die::SteelInsertSegmentParentBuilder
SetExtensionDistance(const char *extensionDistance)NXOpen::Die::SteelInsertSegmentParentBuilder
SetExtensionType(NXOpen::Die::SteelInsertSegmentParentBuilder::ExtensionTypeOption extensionType)NXOpen::Die::SteelInsertSegmentParentBuilder
SetInsertType(NXOpen::Die::SteelInsertSegmentParentBuilder::InsertTypeOption insertType)NXOpen::Die::SteelInsertSegmentParentBuilder
SetParentFeatureInternal(NXOpen::Features::Feature *parentFeature)NXOpen::Features::FeatureBuilder
SetParentFeatureInternal(bool isInternal)NXOpen::Features::FeatureBuilder
SetPatchSolutionFlag(bool optionValue)NXOpen::Features::FeatureBuilder
SetPatchSurfaceFilename(const NXString &surfaceFilename)NXOpen::Features::FeatureBuilder
SetPatchSurfaceFilename(const char *surfaceFilename)NXOpen::Features::FeatureBuilder
SetProfileRelief(const NXString &profileRelief)NXOpen::Die::SteelInsertSegmentParentBuilder
SetProfileRelief(const char *profileRelief)NXOpen::Die::SteelInsertSegmentParentBuilder
SetProfileReliefToggle(bool profileReliefToggle)NXOpen::Die::SteelInsertSegmentParentBuilder
SetReliefAngle(const NXString &reliefAngle)NXOpen::Die::SteelInsertSegmentParentBuilder
SetReliefAngle(const char *reliefAngle)NXOpen::Die::SteelInsertSegmentParentBuilder
SetSurroundingPatchSurfaceFilename(const NXString &surroundingSurfaceFilename)NXOpen::Features::FeatureBuilder
SetSurroundingPatchSurfaceFilename(const char *surroundingSurfaceFilename)NXOpen::Features::FeatureBuilder
ShowInternalParentFeatureForEdit(NXOpen::Features::Feature *parentFeature)NXOpen::Features::FeatureBuilder
ShowResults()NXOpen::Builder
SteelInsertSegmentParentBuilder() (defined in NXOpen::Die::SteelInsertSegmentParentBuilder)NXOpen::Die::SteelInsertSegmentParentBuilderprotected
SurroundingPatchSurfaceFilename()NXOpen::Features::FeatureBuilder
Tag() const NXOpen::TaggedObject
TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObject
UnsetParentFeatureInternal(NXOpen::Features::Feature *parentFeature)NXOpen::Features::FeatureBuilder
Validate()NXOpen::Buildervirtual
~Builder() (defined in NXOpen::Builder)NXOpen::Builder
~FeatureBuilder() (defined in NXOpen::Features::FeatureBuilder)NXOpen::Features::FeatureBuilder
~IComponentBuilder() (defined in NXOpen::GeometricUtilities::IComponentBuilder)NXOpen::GeometricUtilities::IComponentBuildervirtual
~SteelInsertSegmentParentBuilder() (defined in NXOpen::Die::SteelInsertSegmentParentBuilder)NXOpen::Die::SteelInsertSegmentParentBuilder
~TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObjectvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.